function [ y_rek,historie,pocetIter ] = rekBezVyl( y, F, gama, lambda, maxIter, tolerance, zacDir, velDir )
%funkce pro výpočet rekonstrukce signálu bez vylepšení

konDir = zacDir+velDir-1;

yr = doplniNuly(y, zacDir:konDir);

x0 = frana(F,yr);

[x,historie,pocetIter] = DR( F, x0, gama, lambda, maxIter, zacDir, konDir, tolerance );

y_rek = frsyn(F,proxf2( F, x, x0, zacDir, konDir));

end

